All Vulnerability Reports

CVE-2018-11047: UAA accepts refresh token as access token on admin endpoints


Severity

High

References
Affected Pivotal Products and Versions

Severity is high unless otherwise noted.

  • Pivotal Application Service
    • 2.2.x versions prior to 2.2.2
    • 2.1.x versions prior to 2.1.9
    • 2.0.x versions prior to 2.0.18
    • 1.12.x versions prior to 1.12.27
    • 1.11.x versions prior to 1.11.37
  • Pivotal Operations Manager
    • 2.2.x versions prior to 2.2.1
    • 2.1.x versions prior to 2.1.10
    • 2.0 versions prior to 2.0.19
Mitigation

Users of affected versions should apply the following mitigation:

  • The Cloud Foundry team recommends upgrading BOSH stemcells and/or other OSS components listed here if applicable.
  • Upgrade Pivotal products that use earlier versions of CF components to new Pivotal releases using new versions linked above. On the Pivotal Network product page for each release, check the Depends On section and/or Release Notes for this information.
  • Releases that have fixed this issue include:
    • Pivotal Application Service: 2.2.2, 2.1.9, 2.0.18, 1.12.27, 1.11.37
    • Pivotal Operations Manager: 2.2.1, 2.1.10, 2.0.19